Package net.md_5.bungee.protocol

# Class MinecraftDecoder

java.lang.Object
io.netty.channel.ChannelHandlerAdapter
io.netty.channel.ChannelInboundHandlerAdapter
io.netty.handler.codec.MessageToMessageDecoder<io.netty.buffer.ByteBuf>
net.md_5.bungee.protocol.MinecraftDecoder

All Implemented Interfaces:
  `io.netty.channel.ChannelHandler`, `io.netty.channel.ChannelInboundHandler`

public class MinecraftDecoder extends io.netty.handler.codec.MessageToMessageDecoder<io.netty.buffer.ByteBuf>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface io.netty.channel.ChannelHandler

  `io.netty.channel.ChannelHandler.Sharable`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MinecraftDecoder(Protocol protocol, boolean server, int protocolVersion)`
  `MinecraftDecoder(Protocol protocol, boolean server, int protocolVersion, boolean copyBuffer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in, List<Object> out)`
  `Protocol`
  `getProtocol()`
  `void`
  `setProtocol(Protocol protocol)`
  `void`
  `setProtocolVersion(int protocolVersion)`

  ### Methods inherited from class io.netty.handler.codec.MessageToMessageDecoder

  `acceptInboundMessage, channelRead, channelReadComplete`

  ### Methods inherited from class io.netty.channel.ChannelInboundHandlerAdapter

  `channelActive, channelInactive, channelRegistered, channelUnregistered, channelWritabilityChanged, exceptionCaught, userEventTriggered`

  ### Methods inherited from class io.netty.channel.ChannelHandlerAdapter

  `ensureNotSharable, handlerAdded, handlerRemoved, isSharable`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface io.netty.channel.ChannelHandler

  `handlerAdded, handlerRemoved`

- ## Constructor Details

  - ### MinecraftDecoder

    public MinecraftDecoder(Protocol protocol, boolean server, int protocolVersion)

  - ### MinecraftDecoder

    public MinecraftDecoder(Protocol protocol, boolean server, int protocolVersion, boolean copyBuffer)

- ## Method Details

  - ### decode

    protected void decode(io.netty.channel.ChannelHandlerContext ctx, io.netty.buffer.ByteBuf in, List<Object> out) throws Exception
    Specified by:
      `decode` in class `io.netty.handler.codec.MessageToMessageDecoder<io.netty.buffer.ByteBuf>`
    Throws:
      `Exception`

  - ### setProtocol

    public void setProtocol(Protocol protocol)

  - ### getProtocol

    public Protocol getProtocol()

  - ### setProtocolVersion

    public void setProtocolVersion(int protocolVersion)